<?php
class Plugin_disqus extends Plugin {

    var $meta = array(
        'name'       => 'Disqus',
        'version'    => '0.9',
        'author'     => 'Mubashar Iqbal',
        'author_url' => 'http://mubashariqbal.com'
    );

    public function comments()
    {
      $account   = $this->fetch_param('account', null);
      if ($account) {
        $output = '
        <div id="disqus_thread"></div>
        <script type="text/javascript">
            /* * * CONFIGURATION VARIABLES: EDIT BEFORE PASTING INTO YOUR WEBPAGE * * */
            var disqus_shortname = "'.$account.'"; // required: replace example with your forum shortname

            /* * * DON\'T EDIT BELOW THIS LINE * * */
            (function() {
                var dsq = document.createElement("script"); dsq.type = "text/javascript"; dsq.async = true;
                dsq.src = "http://" + disqus_shortname + ".disqus.com/embed.js";
                (document.getElementsByTagName("head")[0] || document.getElementsByTagName("body")[0]).appendChild(dsq);
            })();
        </script>
        <noscript>Please enable JavaScript to view the <a href="http://disqus.com/?ref_noscript">comments powered by Disqus.</a></noscript>
        <a href="http://disqus.com" class="dsq-brlink">blog comments powered by <span class="logo-disqus">Disqus</span></a>
        ';
        return $output;
      }

      return '';
    }

}