<?php
class Cp_Helper {

  public static function run_hook($hook_name) {

    # check the add-on directory
    $output = '';
    $folder = 'add-ons/*';
    $list = glob($folder);

    foreach ($list as $name) {
      if (is_dir($name)) {
        $add_on_files = glob($name.'/*');
        foreach ($add_on_files as $file) {
          if (preg_match('/hooks/', $file, $matches )) {

            $bits = explode('/', $name);
            $add_on = end($bits);

            #instantiate
            require_once($file);
            $class = 'Hooks_'.$add_on;

            #formatted properly
            if (class_exists($class)) {
              $add_on_hooks = new $class();
            }

            # get output
            if (method_exists($add_on_hooks, $hook_name)) {
              $output .= $add_on_hooks->$hook_name();
              $output .= "\n";
            }
          }
        }
      }
    }
    return $output;
  }
}
