// Customize select boxes
$(function(){ 
  if (!$.browser.opera) {
    $('.input-select-wrap select').each(function(){
      var title = $(this).attr('title');
      title = $('option:selected',this).text();
      $(this)
        .css({'z-index':10,'opacity':0,'appearance':'none', '-khtml-appearance':'none', '-webkit-appearance': 'none'})
        .after('<span class="select">' + title + '</span>')
        .change(function(){
          val = $('option:selected',this).text();
          $(this).next().text(val);
        })
    });
  }; 
});

// Trigger MarkItUp
$(function() {
  $('.markitup textarea').markItUp(mySettings);
});

// Tablesorter
$('.sortable').tablesorter();

// Tooltips
$('.tip').tooltip();

// Datepicker
$('.input-date input').datepicker({format:'yyyy-mm-dd'})
  .on('changeDate', function(ev){
    $(this).datepicker('hide');
  });

// Auto slugger
$('#publish-title').makeSlug({
    slug: $('.auto-slug')
});

$(function() {
  $('.input-tags input').tagsInput({
    width:'auto',
    'defaultText':'add an item...'
  });
});

// In CP flash messages
$('#flash-msg')
  .delay(50)
  .animate({'margin-top' : '0'}, 900, 'easeOutBounce')
  .delay(3000)
  .animate({'margin-top' : '-74px'}, 900, 'easeInOutBack');

// Login error message
$('#login #form-errors')
  .delay(50)
  .animate({'margin-top' : '-245px'}, 500, 'easeOutBack');

// Hide iPhone address bar
window.addEventListener("load",function() {
  setTimeout(function(){
    window.scrollTo(0, 1);
  }, 0);
});